#!/bin/bash

source ./config.sh

echo
echo "ZeroTrace:"
echo

ZT_DIRECTORY="ZeroTrace"

if [ -d $ZT_DIRECTORY ]; then
	echo "Folder Found for ZeroTrace!"
else
	echo "Error : ZeroTrace Folder not found"
	exit
fi

cd $ZT_DIRECTORY
echo

echo "Compiling ZeroTrace..."
make>make_log_zt.txt
echo

no_of_blocks=$BLOCKS_START
echo $no_of_blocks
echo $BLOCKS_START, $BLOCKS_STOP
while [ "$no_of_blocks" -le $BLOCKS_STOP ]
  do
  ZT_COMMAND="./Sample_App/lsclient "$no_of_blocks" "$NUM_OF_REQUESTS" "$KEY_SIZE" "$BLOCK_SIZE" "$LS_MEM_MODE" "$LS_ACCESS_MODE" "$ZTLS_LOG

  #echo "Executing :"
  echo $ZT_COMMAND 
  $ZT_COMMAND
  echo

  no_of_blocks=$((no_of_blocks*8/5))
  echo $no_of_blocks
  done

#Parse ZT_log.txt , fetch query time from last line
#cd $SUBSCRIPT_FOLDER
#PY_COMMAND="python ./extract_time_zt.py "$ZT_LOG_LOCATION" "$ZT_TIMING_LOCATION" "$N" "$DATA_SIZE
#$PY_COMMAND


